Ext.ns('Nexts.frame');

Nexts.frame.Shortcuts = function(config) {
	Nexts.frame.Shortcuts.superclass.constructor.call(this, config);
};

Ext.extend(Nexts.frame.Shortcuts, Ext.Panel, {
	addShortcut: function(config) {
		if (!config.id) {
			config.id = Ext.id();
		}
		
		var btn = new Nexts.ShortcutButton(Ext.apply(config, {
			id: 'shortcut.button.' + config.id,
			cls: 'ne-frame-shortcut-btn',
			text: String.ellipsiz(config.text, 20)
		}));

		this.add(btn);
		
		return btn;
	},
	
	removeShortcut: function(b) {
		this.remove(b, true);
	}
});

